> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an access controlled door

> Create an access controlled door



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/component/createAccessControlledDoor
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/component/createAccessControlledDoor:
    post:
      tags:
        - Component Webservice
      summary: Create an access controlled door
      description: Create an access controlled door
      operationId: createAccessControlledDoor
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Component_CreateAccessControlledDoorWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Component_CreateAccessControlledDoorWSResponse
          description: OK
components:
  schemas:
    Component_CreateAccessControlledDoorWSRequest:
      type: object
      properties:
        accessControlledDoor:
          $ref: '#/components/schemas/AccessControlledDoorType'
        accessControlledDoorLabels:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
          uniqueItems: true
    Component_CreateAccessControlledDoorWSResponse:
      type: object
      properties:
        accessControlledDoor:
          $ref: '#/components/schemas/AccessControlledDoorType'
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        warningMsg:
          type: string
          nullable: true
    AccessControlledDoorType:
      type: object
      properties:
        ajarTimeSec:
          type: integer
          format: int32
          nullable: true
        apbMode:
          $ref: '#/components/schemas/AntiPassbackModeEnum'
        apbZoneId:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        aperioDoorExtensionComponent:
          $ref: '#/components/schemas/ComponentReferenceType'
        aperioDoorId:
          type: string
          nullable: true
        aperioGatewayComponent:
          $ref: '#/components/schemas/ComponentReferenceType'
        associatedCameras:
          type: array
          items:
            type: string
            format: DeviceFacetUuid
            description: RUUID with optional appended facet information
            example: AAAAAAAAAAAAAAAAAAAAAA.v0
            nullable: true
          nullable: true
          uniqueItems: true
        associatedFaceDetectionCameras:
          type: array
          items:
            type: string
            format: DeviceFacetUuid
            description: RUUID with optional appended facet information
            example: AAAAAAAAAAAAAAAAAAAAAA.v0
            nullable: true
          nullable: true
          uniqueItems: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        defaultAccessStateOriginator:
          $ref: '#/components/schemas/BaseEventOriginator'
        defaultAccessStateRequestedAtMillis:
          type: integer
          format: int64
          nullable: true
        defaultState:
          $ref: '#/components/schemas/AccessControlledDoorStateEnumType'
        directionRadians:
          type: number
          format: float
          nullable: true
        doorAuthFirstInStateOverride:
          $ref: '#/components/schemas/FirstInState'
        doorScheduleFirstInStateOverride:
          $ref: '#/components/schemas/FirstInState'
        doorStateOverride:
          $ref: '#/components/schemas/BaseAccessStateOverride'
        doorStateToScheduleUuidMap:
          type: object
          additionalProperties:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        dpiComponents:
          type: array
          items:
            $ref: '#/components/schemas/ComponentReferenceType'
          nullable: true
          uniqueItems: true
        floorNumber:
          type: integer
          format: int32
          nullable: true
        forceAllReadersFirstInAuthRequiredLedFeedbackEnabled:
          type: boolean
          nullable: true
        forceAllReadersFirstInUnlockPendingLedFeedbackEnabled:
          type: boolean
          nullable: true
        forceAllReadersOtherReaderUnlockAudioFeedbackEnabled:
          type: boolean
          nullable: true
        forceAllReadersRemoteUnlockAudioFeedbackEnabled:
          type: boolean
          nullable: true
        forcedOpenEnabled:
          type: boolean
          nullable: true
        forcedOpenTimeSec:
          type: integer
          format: int32
          nullable: true
        geofenceEnabled:
          type: boolean
          nullable: true
        geofenceRadius:
          type: number
          format: double
          nullable: true
        latitude:
          type: number
          format: double
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        longitude:
          type: number
          format: double
          nullable: true
        name:
          type: string
          nullable: true
        nfcSecureDowngradeEnabled:
          type: boolean
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        policyUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        privacyModeSupportEnabled:
          type: boolean
          nullable: true
        proximityUnlockSettings:
          $ref: '#/components/schemas/ProximityUnlockSettingsType'
        readerComponents:
          type: array
          items:
            $ref: '#/components/schemas/ComponentReferenceType'
          nullable: true
          uniqueItems: true
        relayComponents:
          type: array
          items:
            $ref: '#/components/schemas/ComponentReferenceType'
          nullable: true
          uniqueItems: true
        relockAfterOpenTimeMs:
          type: integer
          format: int32
          nullable: true
        remoteUnlockEnabled:
          type: boolean
          nullable: true
        rexComponents:
          type: array
          items:
            $ref: '#/components/schemas/ComponentReferenceType'
          nullable: true
          uniqueItems: true
        sendExpiredIntentEvents:
          type: boolean
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        subType:
          $ref: '#/components/schemas/AccessControlledDoorSubTypeEnum'
        type:
          $ref: '#/components/schemas/ComponentCompositeEnumType'
        unlockTimeSec:
          type: integer
          format: int32
          nullable: true
        unlockTimeSecRex:
          type: integer
          format: int32
          nullable: true
        updatedAtMillis:
          type: integer
          format: int64
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        waveToUnlockSettings:
          $ref: '#/components/schemas/WaveToUnlockSettingsType'
    AntiPassbackModeEnum:
      type: string
      enum:
        - HARD_STRICT
        - HARD_PERMISSIVE
        - SOFT
        - NONE
    ComponentReferenceType:
      type: object
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        deviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    BaseEventOriginator:
      type: object
      discriminator:
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/SupportAuthorityEventOriginator'
        - $ref: '#/components/schemas/ApiTokenEventOriginator'
        - $ref: '#/components/schemas/UserEventOriginator'
        - $ref: '#/components/schemas/RuleEventOriginator'
        - $ref: '#/components/schemas/ComponentCompositeEventOriginator'
        - $ref: '#/components/schemas/GuestPassEventOriginator'
        - $ref: '#/components/schemas/DeviceServiceEventOriginator'
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    AccessControlledDoorStateEnumType:
      type: string
      enum:
        - UNLOCKED
        - ACCESS_CONTROLLED
    FirstInState:
      type: object
      properties:
        originator:
          $ref: '#/components/schemas/BaseEventOriginator'
        requestedAtMillis:
          type: integer
          format: int64
          nullable: true
        state:
          $ref: '#/components/schemas/FirstInStatusEnum'
    BaseAccessStateOverride:
      type: object
      discriminator:
        propertyName: type
      properties:
        originator:
          $ref: '#/components/schemas/BaseEventOriginator'
        requestedAtMillis:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ManualAccessStateChangeEnum'
    ProximityUnlockSettingsType:
      type: object
      properties:
        credCooldownSec:
          type: integer
          format: int32
          nullable: true
        enabled:
          type: boolean
          nullable: true
        exitResetsCooldown:
          type: boolean
          nullable: true
        holdUnlocked:
          type: boolean
          nullable: true
        holdUnlockedEventIntervalSec:
          type: integer
          format: int32
          nullable: true
        maxHoldUnlockedTimeSec:
          type: integer
          format: int32
          nullable: true
        minHoldUnlockedTimeSec:
          type: integer
          format: int32
          nullable: true
        minRSSIThreshold:
          type: integer
          format: int32
          nullable: true
    AccessControlledDoorSubTypeEnum:
      type: string
      enum:
        - RHOMBUS
        - APERIO
    ComponentCompositeEnumType:
      type: string
      enum:
        - AccessControlledDoor
        - AccessControlledElevator
        - AccessControlledElevatorLanding
    WaveToUnlockSettingsType:
      type: object
      properties:
        awaitAuthDurationMs:
          type: integer
          format: int32
          nullable: true
        enabled:
          type: boolean
          nullable: true
        minRSSIThreshold:
          type: integer
          format: int32
          nullable: true
        showAwaitIntentFeedback:
          type: boolean
          nullable: true
        treatNfcAsIntent:
          type: boolean
          nullable: true
    SupportAuthorityEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            grantedToInternalEntityUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            grantedToName:
              type: string
              nullable: true
            supportAuthorityUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            supportUserEmail:
              type: string
              nullable: true
            supportUsername:
              type: string
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    ApiTokenEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            tokenName:
              type: string
              nullable: true
            tokenUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    UserEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            userEmail:
              type: string
              nullable: true
            userUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            username:
              type: string
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    RuleEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            ruleName:
              type: string
              nullable: true
            ruleUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    ComponentCompositeEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            componentCompositeName:
              type: string
              nullable: true
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            correlationId:
              type: string
              nullable: true
            eventUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            originator:
              $ref: '#/components/schemas/BaseEventOriginator'
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    GuestPassEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            guestPassName:
              type: string
              nullable: true
            guestPassUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    DeviceServiceEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            deviceUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            serviceName:
              type: string
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    EventOriginatorEnum:
      type: string
      enum:
        - USER
        - SUPPORT_AUTHORITY
        - API_TOKEN
        - RULE
        - COMPONENT_COMPOSITE_EVENT
        - GUEST_PASS
        - DEVICE_SERVICE
        - UNKNOWN
    FirstInStatusEnum:
      type: string
      enum:
        - REQUIRED
        - SATISFIED
    ManualAccessStateChangeEnum:
      type: string
      enum:
        - DOOR_STATE_OVERRIDE
        - CANCELLED_DOOR_STATE_OVERRIDE
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````